/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontractrev.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.entity.Workattachment;
import com.jeeplus.modules.workclientinfo.entity.WorkClientInfo;

import java.util.Date;
import java.util.List;

/**
 * 合同评审
 */
public class WorkContractRe extends ActEntity<WorkContractRe> {

	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String companyId;		// 所属公司
	private String name;		// 合同名称
	private Date startDate;		// 开始时间
	private String state;		// 状态
	private String type;		// 类型
	private String processInstanceId;		// 流程实例id
	private String number;		// 编号
	private String money;
	private String home;
	private WorkClientInfo client;		// 客户ID(主委托方)
	private List<WorkClientInfo> workClientInfoList = Lists.newArrayList(); //委托方列表
	private List<Workattachment> workAttachments;
	private Office office;

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public String getMoney() {
		return money;
	}

	public void setMoney(String money) {
		this.money = money;
	}

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}

	public WorkClientInfo getClient() {
		return client;
	}

	public void setClient(WorkClientInfo client) {
		this.client = client;
	}

	public List<WorkClientInfo> getWorkClientInfoList() {
		return workClientInfoList;
	}

	public void setWorkClientInfoList(List<WorkClientInfo> workClientInfoList) {
		this.workClientInfoList = workClientInfoList;
	}

	public List<Workattachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<Workattachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}
}